Home » Developer & Programmer » Application Express, ORDS & MOD_PLSQL » ORDS and APEX
ORDS and APEX [message #678746] Mon, 06 January 2020 08:37 Go to next message
trts
Messages: 2
Registered: January 2020
Junior Member
Hello,

We currently have a 11.2.0.4.0 instance that is in an upgrade path but this is taking longer than expected.

On this instance we have APEX installed version 5.1.2.00.09 with a couple of applications and are using the embedded PL/SQL gateway.

I was thinking of enabling ORDS on this database instance and deploy the ORDS.war to a Tomcat server, but my database admin says that he is not sure if both configurations are possible. He also says that the APEX urls will have to be changed after ORDS install.


So my questions, can we safely install/configure/enable ORDS so that I can develop rest services that will connect to the database via the ords deployed on the tomcat server?
Will the apex applications continue to work with and if yes without reconfiguring or without the url changing?

Thank you,
Tom
Re: ORDS and APEX [message #678747 is a reply to message #678746] Mon, 06 January 2020 10:17 Go to previous messageGo to next message
John Watson
Messages: 8426
Registered: January 2010
Location: Global Village
Senior Member
Welcome to the forum. Please read the OraFAQ Forum Guide and How to use code tags and make your code easier to read

ORDS and EPG can certainly co-exist. But...

The latest ORDS will not work with APEX 5, you would have to go back to a version where REST hardly worked at all. You really need to upgrade APEX to 19.1. As for using Tomcat, that is up to you. We usually do, but ORDS standalone is supported. If you don't want URLs to change, put an Apache in front and configure it to do appropriate redirections. You need an Apache anyway, unless it is a really small and simple environment.

If you want assistance with all this, give my boss a call - he will be happy to quote Smile
Re: ORDS and APEX [message #678751 is a reply to message #678747] Tue, 07 January 2020 00:39 Go to previous messageGo to next message
trts
Messages: 2
Registered: January 2020
Junior Member
Thank you for your response.

What you are saying is that there is a thight coupling of versions of ORDS and APEX?

I read in the documentation of apex 5.1 that ORDS version 3 or newer is required
https://docs.oracle.com/database/apex-5.1/HTMIG/Oracle-REST-data-services-requirement.htm#HTMIG29471

The other way around, in the release notes of ORDS 19.1 I do not see any prerequisites of APEX versions either:
https://docs.oracle.com/en/database/oracle/oracle-rest-data-services/19.2/aelig/installing-REST-data-services.html#GUID-4D976DAE-8B24 -41E3-81D5-B1C22E33287F

Another oracle community post points out the documentation :
https://community.oracle.com/thread/4269364

This oracle doc talks about APEX_LISTENER and APEX_REST_PUBLIC_USER requirements: "Only if using RESTful Services defined in Application Express of version 5.0 or above."
https://docs.oracle.com/en/database/oracle/oracle-rest-data-services/19.2/aelig/installing-REST-data-services.html#GUID-219A24C1-16E7 -4001-9F9F-0DD2788540AF

That being said I developed ADF applications before where I know there was a mandatory coupling of ADF and weblogic versions, but this was described in a certification matrix. Do these kind of matrixes also exist for db/apex/ords version?

Maybe my plan of infrastructure was not clear.
What I would like to do is Apache tomcat with ords and keep the current apex embedde plsql gateway for apex. Different server ips so no port conflicts and keep context root on the apex server to /apex and on the tomcat server /ords. Indeed there will be an apache in front of it.
If - and only then - apex 5.1 and ords 19.2 play nicely together.
Re: ORDS and APEX [message #678752 is a reply to message #678751] Tue, 07 January 2020 01:56 Go to previous message
John Watson
Messages: 8426
Registered: January 2010
Location: Global Village
Senior Member
If you really want to try ORDS 19 with APEX 5, just try it! Doesn't take long.

But why not do the APEX upgrade anyway? I'm surprised that your developers didn't demand it a long time ago.
Previous Topic: APEX 5.0 with Oracle DB 12 and EBS 11g
Next Topic: Page item -
Goto Forum:
  


Current Time: Fri Nov 27 11:36:21 CST 2020